Subject: [netatalk-admins] Changing PAssword - can't be done can it?

From: Robert Schmid <[email-masked]>
Date: Fri, 11 Dec 1998 12:47:10 -0600

I think I just figured out the answer to my previous question - because
Apple uses two-way scrambled and Unix uses one-way encryption, changing the
password via the chooser is not possible.

Am I right?  If so, is there a good, non-telnet, way to change my user
password?

---

From: Vivek <[email-masked]>
Date: Mon, 14 Dec 1998 09:32:47 +0000 (GMT)

On Fri, 11 Dec 1998, Robert Schmid wrote:

[snip]
> Am I right?  If so, is there a good, non-telnet, way to change my user

Is there some problem with setting there shells to /bin/passwd or
equivalent?

-- 
By doing just a little every day, you can gradually let the task
completely overwhelm you.

---

From: "James S. White" <[email-masked]>
Date: Mon, 14 Dec 1998 09:10:06 -0600 (CST)

POP clients also allow changing of the user passwd. If you are running a POP
sever as well then you would not need to give shells at all.

 ---------------------------------------------------------------------------- 
| James S. White                              www.vetmed.auburn.edu/~whitej4 |
| Sys/Net Administrator                            [email-masked] |
| Auburn University College of Veterinary Medicine             (334)844-3705 |
 ---------------------------------------------------------------------------- 
The complete lack of evidence is the surest sign that the conspiracy is working.

---

From: Ashok Aiyar <[email-masked]>
Date: Mon, 14 Dec 1998 10:38:43 -0600 (CST)

> sever as well then you would not need to give shells at all.

There is no pop3 server that allows you to change passwords,
as the pop3 protocol does not include a method to change
passwords.

Some pop3 clients will allow you to change passwords. For this 
to work the computer that runs the pop3 server must also run a
pop-password daemon (poppassd) on TCP port 106.

Poppassds are available from:
ftp://ftp.acns.nwu.edu/pub/poppassd
ftp://ftp.eudora.com/eudora/servers/unix/servers

Finally, I believe that Adrian Sun's modified version of netatalk
allows passwords to be changed from the chooser.  His version is
available from ftp://ftp.u.washington.edu/public/asun

Later,
Ashok
-- 
Ashok Aiyar, Ph.D.
McArdle Laboratory for Cancer Research
[email-masked]